FROM python:3.9-alpine
RUN apk update && apk --no-cache add curl postgresql-dev gcc python3-dev musl-dev
RUN curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/get-poetry.py | python -
ENV PATH="/root/.poetry/bin:${PATH}"
WORKDIR /app
COPY . .
RUN poetry install
